A Karnaugh map is an alternative to a truth table for representing a function in boolean algebra, and serve as a way to derive minimum cost circuits for a truth table.

![[karnaugh-maps.png]]

Given the above truth table, the columns are labelled with $x_1$, and the rows are labelled with $x_2$.

To find a minimal boolean expression with a ka, we need to find the smallest number of product terms  ($x_1$, $x_2$) that should produce a 1 for all instances where the cell in a table is $1$. 

![[Pasted image 20250224104850.png]]

Given the map described in the above image, the output is $1$ for the row where $x_2$ is equal to 1. Similarly, the output is $1$ for the column where $x_2$. By ORing the condition where $x_1$ is zero ($\overline{x_1}$), and the condition where $x_2$ is one ($x_1$), we can find a minimal expression for the truth table.